Skip to main content
`Ctrl`+`K`

# DMPlexCreateExodusFromFile

Create a `DMPLEX` mesh from an ExodusII file.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateExodusFromFile(MPI_Comm comm, const char filename[], PetscBool interpolate, DM *dm)

Collective

## Input Parameters

- comm - The MPI communicator

- filename - The name of the ExodusII file

- interpolate - Create faces and edges in the mesh

## Output Parameter

- dm - The `DM` object representing the mesh

## See Also

DMPlex: Unstructured Grids, `DM`, `PETSCVIEWEREXODUSII`, `DMPLEX`, `DMCreate()`, `DMPlexCreateExodus()`

## Level

beginner

## Location

src/dm/impls/plex/plexexodusii.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages